summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Niels Horn <niels.horn@gmail.com>2010-05-13 00:58:25 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:58:25 +0200
commit03dbb76648622a5f58819c728e82d4a7b84644bc (patch)
treed58b787c7ef2c4734d88f9e487d7789bc2955148 /graphics
parent90fd724a8dc2808ec96ce16bb53a51feea460d7f (diff)
downloadslackbuilds-03dbb76648622a5f58819c728e82d4a7b84644bc.tar.gz
slackbuilds-03dbb76648622a5f58819c728e82d4a7b84644bc.tar.xz
graphics/xpe: Added to 13.0 repository
Diffstat (limited to 'graphics')
-rw-r--r--graphics/xpe/README4
-rw-r--r--graphics/xpe/doinst.sh4
-rw-r--r--graphics/xpe/slack-desc19
-rw-r--r--graphics/xpe/xpe.SlackBuild85
-rw-r--r--graphics/xpe/xpe.desktop10
-rw-r--r--graphics/xpe/xpe.info10
-rw-r--r--graphics/xpe/xpe.pngbin0 -> 3139 bytes
7 files changed, 132 insertions, 0 deletions
diff --git a/graphics/xpe/README b/graphics/xpe/README
new file mode 100644
index 0000000000..a7ea7a8e30
--- /dev/null
+++ b/graphics/xpe/README
@@ -0,0 +1,4 @@
+xpe: The neXtgen Povray Editor is a graphical editor for POV-Ray
+based on the wxWidgets library.
+
+xpe requires wxGTK.
diff --git a/graphics/xpe/doinst.sh b/graphics/xpe/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/graphics/xpe/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/graphics/xpe/slack-desc b/graphics/xpe/slack-desc
new file mode 100644
index 0000000000..6b85bc40a1
--- /dev/null
+++ b/graphics/xpe/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xpe: xpe (neXtgen Povray Editor)
+xpe:
+xpe: The neXtgen Povray Editor is a graphical editor for POV-Ray
+xpe: based on the wxWidgets library.
+xpe:
+xpe: http://nextpe.sourceforge.net//
+xpe:
+xpe:
+xpe:
+xpe:
+xpe:
diff --git a/graphics/xpe/xpe.SlackBuild b/graphics/xpe/xpe.SlackBuild
new file mode 100644
index 0000000000..46c11a0c14
--- /dev/null
+++ b/graphics/xpe/xpe.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for xpe:
+# the neXtgen Povray Editor
+
+# Written by Niels Horn - niels.horn@gmail.com
+# revision date 2009/10/07
+
+PRGNAM=xpe
+VERSION=0.9.5b
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# The tarballs come with the name "xpe_project" to distinguish them from
+# the "xpe_daily" svn snapshots
+SRCPRGNAM=xpe_project
+# The Source tarball has a different version numbering
+SRCVERSION="v$(echo $VERSION | tr . _)"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $TMP/${SRCPRGNAM} $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/${SRCPRGNAM}_${SRCVERSION}.tar.gz
+cd ${SRCPRGNAM}
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CPPFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --htmldir=/usr/doc/$PRGNAM-$VERSION/html \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+# Copy icon & desktop file to package
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/xpe.desktop > $PKG/usr/share/applications/xpe.desktop
+cat $CWD/xpe.png > $PKG/usr/share/pixmaps/xpe.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING INSTALL TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/xpe/xpe.desktop b/graphics/xpe/xpe.desktop
new file mode 100644
index 0000000000..46486005d7
--- /dev/null
+++ b/graphics/xpe/xpe.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Name=xpe
+Comment=neXtgen Povray Editor
+Categories=Graphics;
+Exec=/usr/bin/xpe
+Icon=xpe
+Terminal=false
+StartupNotify=false
diff --git a/graphics/xpe/xpe.info b/graphics/xpe/xpe.info
new file mode 100644
index 0000000000..8091fc06ab
--- /dev/null
+++ b/graphics/xpe/xpe.info
@@ -0,0 +1,10 @@
+PRGNAM="xpe"
+VERSION="0.9.5b"
+HOMEPAGE="http://nextpe.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/nextpe/xpe_project_v0_9_5b.tar.gz"
+MD5SUM="3a875f7aa2bc058bd299c1db9aabf067"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="rworkman"
diff --git a/graphics/xpe/xpe.png b/graphics/xpe/xpe.png
new file mode 100644
index 0000000000..9a2b185984
--- /dev/null
+++ b/graphics/xpe/xpe.png
Binary files differ